Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface OutputCollector<K,V>

All Known Implementing Classes:
  Task.CombineOutputCollector

    public interface OutputCollector<K,V>

Collects the `<key, value>` pairs output by `Mapper`s and `Reducer`s.

`OutputCollector` is the generalization of the facility provided by the Map-Reduce framework to collect data output by either the `Mapper` or the `Reducer` i.e. intermediate outputs or the output of the job.

Method Summary
`void` | `collect(K key, V value)` Adds a key/value pair to the output.

Method Detail

### collect

    void collect(K key,
                 V value)
                 throws IOException

  Adds a key/value pair to the output.

  Parameters:
    `key` - the key to collect.
    `value` - to value to collect.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation